Edit User

Use PATCH on /user to edit the user's personal information. This method allows you to update all Personally Identifiable Information (PII) associated with a user. For account-specific updates, please refer to Edit Account. The address tied to a user is the physical address where they reside; the shipping address is stored and managed at the account level.

Path Params
string
required

Pass in the Spidr user ID

Body Params

PATCH /v1/user/:id Request body

string

The session key for the user. Created via Create ZTM Session and used for ZTM checks if your program is configured for ZTM.

boolean

Indicates whether to bypass the ZTM checks if your program is configured for ZTM.

string

The user's first name

string | null

The user's middle name

string

The user's last name.

string

The user's date of birth

string
length between 3 and 63

The user's email address

The user's phone number. Prefer E.164 (+country code) for international numbers; national-format numbers are parsed with default region US.

string
enum

User's gender

Allowed:
address
object
enum

How the user is linked to the given user (e.g. child) or 'archive' to archive the existing linkage

string

The user's unique ID within Spidr

boolean

When true and address is provided, also updates the shipping address on all active (non-archived, non-closed) accounts for this user.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json